## wmcalclock 1.25

=== Src/Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall
INCDIR = -I/usr/X11R6/include/X11 -I/usr/X11R6/include
DESTDIR= /usr/X11R6
LIBDIR = -L/usr/X11R6/lib

# for Linux
LIBS   = -lXpm -lX11 -lXext

# for Solaris
# LIBS   = -lXpm -lX11 -lXext -lsocket -lnsl

OBJS   = wmCalClock.o \
         xutils.o


.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmCalClock.o wmCalClock

wmCalClock.o: wmCalClock_master.xpm wmCalClock_mask.xbm
wmCalClock:	$(OBJS) 
	$(CC) $(COPTS) $(SYSTEM) -o wmCalClock $^ $(INCDIR) $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmCalClock

install:: wmCalClock
	install -c -s -m 0755 wmCalClock $(DESTDIR)/bin
	install -c -m 0644 wmCalClock.1 $(DESTDIR)/man/man1

=== debian/changelog ===
wmcalclock (1.25-18) unstable; urgency=medium

  * debian/watch
    - Fix download URL.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 03 Dec 2021 23:02:20 -0500

wmcalclock (1.25-17) unstable; urgency=medium

  * debian/changelog
    - Remove trailing whitespace from some older entries.
  * debian/compat
    - Remove file; will set debhelper compatibiliy level in d/control by
      build-depending on debhelper-compat.
  * debian/control
    - New maintainer (Closes: #929554).
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.6.0.
    - Add Homepage field.
    - Add Vcs-* fields.
    - Add Rules-Requires-Root field (no).
  * debian/copyright
    - Convert to DEP-5 machine-readable format.
    - Add myself to copyright holders for debian/*.
  * debian/dirs
    - Remove file; no longer necessary since dh_install and friends will
      create these directories for us.
  * debian/{docs,install,links,manpages}
    - New files; use appropriate debhelper programs to install files into
      the binary package.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/patches/05-fix-ftbfs.patch
    - Fix whitespace issues that were preventing this patch from applying.
  * debian/rules
    - Use dh.
  * debian/rules
    - Export all hardening flags.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.
  * debian/watch
    - Bump to version 4 format.
    - Add download URL (dockapps.net).

 -- Doug Torrance <dtorrance@debian.org>  Thu, 02 Dec 2021 09:45:02 -0500

wmcalclock (1.25-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957941)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Jul 2020 12:11:07 +0100

wmcalclock (1.25-16) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.7 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Patch 00 is new; in-line changes to original sources.
  * Add watch file although there is no reliable upstream source target.
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix copyright-refers-to-symlink-license (Lintian). Thanks to Jari
    Aalto <jari.aalto@cante.net> for these fixes. Closes: #670193.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 26 Oct 2016 20:33:54 -0400

wmcalclock (1.25-15) unstable; urgency=low

  * debian/control:
    - Changed Build-Depends from x-dev to x11proto-core-dev. Closes: #515486.
    - Bumped Standards-Version to 3.8.3. No changes.
    - Bumped debhelper version to 7.4~.
    - Removed homepage reference.
  * Changed debian/compat to version 7.
  * Small edit to 02_30hr_patch regarding daylight savings time. Closes: #506379.
  * Added new 04_makefile_modifications patch.
  * Removed debian/watch. Unable to find homepage or source code repository
    for upstream. Please file a bug if you find a legitimate homepage.
  * debian/rules:
    - Changed dh_clean -k to dh_prep.
    - Reworked file to use dpatch.make.
  * Added debian/README.source.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 21 Oct 2009 11:17:22 -0400

wmcalclock (1.25-14) unstable; urgency=low

  * Add line to debian/rules to ensure *.o binary files are removed during
    clean process. Closes: #442761.
  * In debian/menu, changed section title from Apps/Tools to
    Applications/System/Administration to conform with new menu policy.

 -- Kevin Coyner <kcoyner@debian.org>  Mon, 17 Sep 2007 14:26:45 -0400

wmcalclock (1.25-13) unstable; urgency=low

  * Added new watch file.
  * Throughout debian/* changed references to maintainer e-mail to my new
    address.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 05 Aug 2007 12:01:35 -0400

wmcalclock (1.25-12) unstable; urgency=low

  * New maintainer. Closes: #427133.
  * debian/control:
    - Bumped Standards-Version to 3.7.2. No changes.
    - Bumped debhelper version to 5.0.
    - Added homepage URL.
    - Changed description to support 30-hour day, an option added via a patch.
      Thanks to Reid Barton. Closes: #292736.
    - Added misc:Depends to Depends.
    - Added dpatch to Build-Depends.
  * Reformatted debian/copyright.
  * man page updated to support 30-hr day and corrected missing -g option.
    Thanks to Reid Barton again. Closes: #292735.
  * Bumped debian/compat to 5.
  * Added dpatch related language to debian/rules. Cleaned up minor cruft.
  * Removed debian/docs in favor of listing as parameters to dh_installdocs in
    debian/rules. Content of HINTS moved to README.Debian. No longer including
    README file from source.

 -- Kevin Coyner <kevin@rustybear.com>  Mon, 04 Jun 2007 09:17:20 -0400

wmcalclock (1.25-11) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group

 -- Gordon Fraser <gordon@debian.org>  Sat, 02 Jun 2007 06:18:19 +0200

wmcalclock (1.25-10) unstable; urgency=low

  * Fix build dependencies (Closes: #347018)

 -- Gordon Fraser <gordon@debian.org>  Sun, 15 Jan 2006 13:03:20 +0100

wmcalclock (1.25-9) unstable; urgency=low

  * Use lower case only letters for binary name (Closes: #149916)
  * Add symbolic links to wmcalclock and wmcalclock.1.gz for
    backward compatibility.
  * Standards-version to 3.6.1.0
  * Remove dh_make boilerplate from debian/copyright
  * Update DH_BUILD_OPTIONS handling
  * Remove trailing dot from short description

 -- Gordon Fraser <gordon@debian.org>  Sun, 21 Sep 2003 13:40:03 +0200

wmcalclock (1.25-8) unstable; urgency=low

  * New maintainer (Closes: #145494)
  * Correct example on usage screen
  * Minor debhelper and packaging cleanups
  * Get rid of Lintian warnings

 -- Gordon Fraser <gordon@debian.org>  Thu,  2 May 2002 19:24:51 +0200

wmcalclock (1.25-7) unstable; urgency=low

  * Orphaning package, changing owner to QA

 -- Dan Nguyen <dnn@debian.org>  Thu,  2 May 2002 00:10:33 -0500



=== debian/control ===
Source: wmcalclock
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               x11proto-core-dev
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmcalclock
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmcalclock
Vcs-Git: https://salsa.debian.org/wmaker-team/wmcalclock.git
Rules-Requires-Root: no

Package: wmcalclock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dock.app which simply tells time and date
 wmCalClock is a dock app specifically written for WindowMaker, but will work
 with other window managers.  It features antialiased text display with the
 ability to choose between different fonts and colors.  wmCalclock supports
 12, 24 and 30 hour time, Greenwich time, Greenwich Mean Sidereal Time, and
 Local Sidereal Time.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=Src

override_dh_auto_build:
	$(MAKE) -C Src CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		COPTS="$(CPPFLAGS) $(LDFLAGS)"

# just use dh_install* instead of upstream's "make install"
override_dh_auto_install:

=== debian/watch ===
version=4
https://www.dockapps.net/@PACKAGE@ /download/wmCalClock@ANY_VERSION@@ARCHIVE_EXT@

## wmcalclock 1.26

=== debian/changelog ===
wmcalclock (1.26-2) unstable; urgency=medium

  * d/watch
    + replace literal package name with substitution variable
  * d/patches
    + add patch to remove pre-ANSI function declarations (Closes: #1098100)

 -- Jeremy Sowden <azazel@debian.org>  Thu, 27 Feb 2025 19:57:04 +0000

wmcalclock (1.26-1) unstable; urgency=medium

  * New upstream version 1.26
  * d/control
    + run `wrap-and-sort -ast`
    + add myself to uploaders
    + remove obsolete build-dep
    + add `pkgconf` build-dep
  * d/docs
    + install "HINTS" file
  * d/install, d/manpages
    + remove obsolete dh_install config
  * d/patches
    + remove obsolete patches
  * d/rules
    + remove obsolete overrides
    + remove obsolete `--sourcedirectory` option
    + add support for the `terse` build option
  * d/watch
    + match tar-balls case-insensitively

 -- Jeremy Sowden <azazel@debian.org>  Thu, 02 Jan 2025 14:15:55 +0000

wmcalclock (1.25-19) unstable; urgency=medium

  * Team upload.
  * d/patches: add patch to fix type of arguments to `gmtime(3)` and
    `localtime(3)` (Closes: #1091253)
  * d/control: bump Standards-Version to 4.7.0

 -- Jeremy Sowden <azazel@debian.org>  Tue, 24 Dec 2024 16:24:57 +0000

=== debian/control ===
Source: wmcalclock
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders:
 Doug Torrance <dtorrance@debian.org>,
 Jeremy Sowden <azazel@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 pkgconf,
Standards-Version: 4.7.0
Homepage: https://www.dockapps.net/wmcalclock
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmcalclock
Vcs-Git: https://salsa.debian.org/wmaker-team/wmcalclock.git
Rules-Requires-Root: no

Package: wmcalclock
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: dock.app which simply tells time and date
 wmCalClock is a dock app specifically written for WindowMaker, but will work
 with other window managers.  It features antialiased text display with the
 ability to choose between different fonts and colors.  wmCalclock supports
 12, 24 and 30 hour time, Greenwich time, Greenwich Mean Sidereal Time, and
 Local Sidereal Time.

=== debian/watch ===
version=4
https://www.dockapps.net/@PACKAGE@ /download/(?i:@PACKAGE@)@ANY_VERSION@@ARCHIVE_EXT@
